<?php

define('MODE_BL',1);		// Typing a * command on the baseline
define('MODE_FIELD',2);	    // typing into an imput field
define('MODE_WARPTO',3);	// awaiting selection of a timewarp
define('MODE_COMPLETE',4);	// Entry of data is complete ..
define('MODE_SUBMITRF',5);	// asking if should send or not.
define('MODE_RFSENT',6);
define('MODE_RFERROR',7);
define('MODE_RFNOTSENT',8);

define('ACTION_RELOAD',1);
define('ACTION_GOTO',2);
define('ACTION_BACKUP',3);
define('ACTION_NEXT',4);
define('ACTION_INFO',5);
define('ACTION_TERMINATE',6);
define('ACTION_SUBMITRF',7);    // Offer to submit a response frame
define('ACTION_STAR',8);

define('CON', chr(17));     // Cursor On
define('COFF', chr(20));    // Cursor Off
define('HOME', chr(30));
define('LEFT', chr(8));     // Move Cursor
define('RIGHT', chr(9));    // Move Cursor
define('DOWN', chr(10));    // Move Cursor
define('UP', chr(11));      // Move Cursor
define('CR', chr(13));
define('LF', chr(10));
define('CLS', chr(12));
define('ESC', chr(27));
define('HASH','_'); // Enter
define('STAR','*'); // Star Entry

// Keyboard presses
define('KEY_LEFT',chr(136));
define('KEY_RIGHT',chr(137));
define('KEY_DOWN',chr(138));
define('KEY_UP',chr(139));

// NOTE: This consts are effective output
define('RED', ESC . 'A');
define('GREEN', ESC . 'B');
define('YELLOW', ESC . 'C');
define('BLUE', ESC . 'D');
define('MAGENTA', ESC . 'E');
define('CYAN', ESC . 'F');
define('WHITE', ESC . 'G');
define('NEWBG', ESC . ']');

// Raw attributes - used when storing frames.
define('R_RED',chr(1));
define('R_GREEN',chr(2));
define('R_YELLOW',chr(3));
define('R_BLUE',chr(4));
define('R_MAGENT',chr(5));
define('R_CYAN',chr(6));
define('R_WHITE',chr(7));
define('FLASH',chr(8));

define('TCP_IAC',chr(255));
define('TCP_DONT',chr(254));
define('TCP_DO',chr(253));
define('TCP_WONT',chr(252));
define('TCP_WILL',chr(251));
define('TCP_SB',chr(250));
define('TCP_AYT',chr(246));
define('TCP_SE',chr(240));

define('TCP_OPT_LINEMODE',chr(34));
define('TCP_OPT_TERMTYPE',chr(24));
define('TCP_OPT_SUP_GOAHEAD',chr(3));
define('TCP_OPT_ECHO',chr(1));
define('TCP_BINARY',chr(0));

define('MSG_SENDORNOT', GREEN . 'KEY 1 TO SEND, 2 NOT TO SEND');
define('MSG_SENT', GREEN . 'MESSAGE SENT - KEY _ TO CONTINUE');
define('MSG_NOTSENT', GREEN . 'MESSAGE NOT SENT - KEY _ TO CONTINUE');

define('ERR_ROUTE', WHITE . 'MISTAKE?' . GREEN . 'TRY AGAIN OR TELL US ON *08');
define('ERR_PAGE', ERR_ROUTE);
define('ERR_PRIVATE', WHITE . 'PRIVATE PAGE' . GREEN . '- FOR EXPLANATION *37_..');
define('ERR_DATABASE', RED . 'UNAVAILABLE AT PRESENT - PLSE TRY LATER');
define('ERR_NOTSENT', WHITE . 'MESSAGE NOT SENT DUE TO AN ERROR');